API documentation | API docs for agents | OpenAPI 3.1
GET /api/v1/spot-quotes/{spotQuoteId}
ark.get_spot_quote
Returns a visible spot quote with stops, bids, customer quotes, invitations, recent events, and watcher state.
- Availability
- Expanded preview
- Scopes
loads:read- ARK permissions
canViewLoads- Team visibility
- Required and enforced
- Idempotency-Key
- Not required
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
spotQuoteIdpathstringrequired- format: uuid
Request body
None.
Example request
Shell
curl 'https://arktms.com/api/v1/spot-quotes/<spotQuoteId>' \
-H "Authorization: Bearer $ARK_API_TOKEN"Success response
Spot quote detail
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.spotQuoteobjectrequireddata.stopsarray<object>requireddata.bidsarray<object>requireddata.customerQuotesarray<object>requireddata.invitationsarray<object>requireddata.eventsarray<object>requireddata.isWatchedbooleanrequireddata.pendingCustomerQuoteobject | nullrequireddata.heldBidobject | nullrequireddata.awardedBidobject | nullrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found